精华内容
下载资源
问答
  • 2021-11-16 11:36:18

    1.1 项目依赖包

    npm install --save vue

    1.2 开发依赖包

    npm install --save-dev webpack

    2. less依赖包

    npm install --save-dev less less-loader

    3. 网络请求axios依赖包

    npm install --save axios

    4. axios低版本浏览器补丁es6-promise依赖包

    npm install --save es6-promise

    5. 路由安装

    npm install --save vue-router

    6. 状态管理安装

    npm install --save vuex

    7. cookie封装库

    npm install --save js-cookie
    更多相关内容
  • vue依赖各版本组件

    2020-10-14 10:05:14
    配置项目时的依赖文件,放入项目中后重新运行npm install即可,本人项目使用的依赖文件,冲突较少,满足开发需求。
  • 1.安装npm install -g npm-check-updates 可能会... 更新项目package文件 ncu -u 以上操作完毕之后,查看 package.json 文件,可以看到依赖包已经更新 关于npm-check-updates更多用法,请查看npm-check-updates - npm

    1.安装npm install -g npm-check-updates

        可能会出现以下错误:

    npm ERR! syscall mkdir
    npm ERR! path D:\node\node_global\node_modules\npm-check-updates
    npm ERR! errno -4048
    npm ERR! Error: EPERM: operation not permitted, mkdir 'D:\node\node_global\node_modules\npm-check-updates'
    npm ERR!  [Error: EPERM: operation not permitted, mkdir 'D:\node\node_global\node_modules\npm-check-updates'] {
    npm ERR!   errno: -4048,
    npm ERR!   code: 'EPERM',
    npm ERR!   syscall: 'mkdir',
    npm ERR!   path: 'D:\\node\\node_global\\node_modules\\npm-check-updates'
    npm ERR! }
    npm ERR! 
    npm ERR! The operation was rejected by your operating system.
    npm ERR! It's possible that the file was already in use (by a text editor or antivirus),
    npm ERR! or that you lack permissions to access it.
    npm ERR! 
    npm ERR! If you believe this might be a permissions issue, please double-check the
    npm ERR! permissions of the file and its containing directories, or try running
    npm ERR! the command again as root/Administrator.
    
    npm ERR! A complete log of this run can be found in:
    npm ERR!     D:\node\node_cache\_logs\2022-03-07T06_46_10_432Z-debug-0.log

    以上错误的原因:

     

    没有权限创建文件夹

    解决方案:使用CMD命令,用管理员打开,在该目录下执行该命令

    2.执行下面命令(显示当前目录下项目中所有新的依赖包)

      ncu 

    3. 更新项目package文件

    ncu -u

    以上操作完毕之后,查看 package.json 文件,可以看到依赖包已经更新

    关于npm-check-updates更多用法,请查看npm-check-updates - npm

    展开全文
  • 从github克隆下来的vue-element-admin项目后,有时install时会报各种异常导致下载失败,故上传此完整依赖包以便各位使用
  • vue-element-admin,更新时间为2021-03-21,含完整依赖包(node_modules文件夹)
  • vue-element-admin,从github上拉取后,安装依赖包各种报错,经过努力后,才安装完整,现在打包分享给大家,含完整依赖包(node_modules文件夹),下载后直接执行npm run dev即可运行。
  • vue-admin依赖包

    2019-03-26 11:19:56
    该文件是vue-admin的依赖包,可以直接下载然后不需要安装运行
  • django-vue-admin 依赖包

    2022-04-23 08:08:32
    vue 依赖包,省的每次自己安装依赖,一堆报错 项目地址:https://gitee.com/liqianglog/django-vue-admin 项目介绍: django-vue-admin-pro 是一套全部开源的快速开发平台,毫无保留给个人及企业免费使用。 前端...
  • 首先必须要有npm,window下无法在线更新node.js版本,所以每次要更新版本需要重新安装node.js 1.新建一个文件夹用于存放项目 mkdir fileName 2.下载一个全局生成vue项目的脚手架 vue-cli  &...

    首先必须要有npm,window下无法在线更新node.js版本,所以每次要更新版本需要重新安装node.js

    1.新建一个文件夹用于存放项目 mkdir fileName

    2.下载一个全局生成vue项目的脚手架 vue-cli
        安转指令:npm install vue-cli -g

    3.初始化一个项目
        vue init webpack <项目名>。这里的eslint可选择为n,eslint是代码规范验证,如果选择y会经常报错,会比较烦。

    4.进入项目,安装依赖包 npm install

    5.npm run dev 启动项目,正常启动可以在http://localhost:8080/ 下看见自己新建立的项目。

    接下来是一些常见的依赖包
    1.webpack模块打包
        npm install –save-dev webpack
        4.0以上版本使用 npm install –save-dev webpack-cli
        webpack 与 less最好不要全局安装,否则可能导致webpack的版本差异

    2.babel 可以将es6语法转为es5
        npm install babel-core –save-dev
        npm install babel-loader –save-dev
        安转完后可能会导致webpack无法使用 需要重新安装

    3.css-loader 将css解析成模块,将解析的内容插入到页面
        npm install css-loader style-loader –save-dev

    4.解析图片
        file-loader url-loader(依赖于file-loader)
        npm install file-loader url-loader –save-dev

    5.需要解析html插件
        插件的作用是以我们自己的html为模板将打包后的结果,自动引入到html中产出到dist目录下
        npm install html-webpack-plugin –save-dev

    6.webpack-dev-server
        内置一个服务 可以启动一个端口号,当代码更新时可以自动打包(内存中打包)
        不生成实际的文件 监听代码当代码有变化就重新执行
        npm install webpack-dev-server –save-dev
        安装提示无权限时 cmd可以用管理员模式打开
        package.json中 script “dev”: “webpack-dev-server”

    展开全文
  • vue-element-admin的离线依赖包; 私有的资源,大家别下载 公司网络限制所以弄个离线包自己使用
  • vue-element-admin-master vue@2.6.0 element-ui@2.7.0
  • vue安装和卸载依赖包

    千次阅读 2022-01-31 10:46:29
    依赖安装在package.json的【dependencies】的三种方式 npm i element-ui npm i element-ui -S npm i element-ui --save 依赖安装在package.json的【devDependencies】的两种方式 npm install j...

    --save 是在package.json的【dependencies】里面

    --save-dev  是在package.json的【devDependencies】里面

    依赖安装在package.json的【dependencies】的三种方式

     npm i element-ui

    npm i element-ui -S

     npm i element-ui --save

     依赖安装在package.json的【devDependencies】的两种方式

    npm install jquery --save-dev

     npm install jquery --D

    1. 安装jquery

    npm install jquery --save

      卸载jquery

    npm uninstall jquery --save

    2. 安装swiper

    npm install swiper --save-dev

      卸载swiper

    npm uninstall swiper --save-dev
    展开全文
  • vue中使用上传到OSS图片文件等操作。内含备注 直接调用唯一方法传参既可
  • vue-element-admin 完整 含全部依赖,vscode可用 vue-element-admin 后台管理框架
  • vue.js下载依赖包node_modules

    千次阅读 2021-07-18 15:33:56
    当然,在很多时候,我们要拷贝或上传一份vue的代码时,通常会删掉依赖包node_modules, 因为这个包太大了,而且,我们运行项目的时候,如果没有依赖包,重新下载依赖包就可以了,很方便的,接下来给大家介绍介绍具体...
  • 删除vue全部依赖

    千次阅读 2021-05-13 10:30:30
    如何快速完全删除node_modules 1.安装npm–rimraf npm install rimraf -g 2.在cmd指令下,进入所需删除的node_modules文件夹的位置,再输入指令 rimraf node_modules 3.等待删除完成
  • cnpm安装指定版本的依赖包 安装指定版本:“echarts-liquidfill”: “^2.0.6” cnpm install echarts-liquidfill@2.0.6 --save 卸载: npm uninstall echarts-liquidfill
  • vue修改elementui的源码重新打包.rar
  • Vue下载依赖包node_modules
  • vue.min.js 编写vue依赖包
  • 更新依赖包以及更新全局包的方法

    万次阅读 2019-07-18 21:42:50
    在我们项目开发的时候势必是要依赖各种各样的插件的,但有些时候项目过一段时间开发新功能,而刚好我们之前的依赖包的新版本有这个API或者解决办法等,那么我们就需要更新这个依赖包。或者说把之前的依赖包和package...
  • vue之检查依赖包的使用情况

    千次阅读 2020-06-30 17:04:35
    Unused devDependencies //未使用的依赖 * underscore * Unused devDependencies //未使用的devDependencies * jasmine Missing dependencies //缺少的dependencies * lodash 可以根据运行结果进行的安装或卸载~ ...
  • vue2项目升级依赖

    2022-02-26 23:54:43
    基础信息 ...全局安装npm-checknpm install -g npm-check使用 npm-check 命令检查需要更新依赖,如下图所示 使用 npm-check -u 命令更新依赖,如下图所示 名 当前版本 升级后版本 @vue/c
  • vue 安装依赖及卸载依赖

    万次阅读 2019-03-20 17:44:38
    参考链接:... --save 是在package.json的【dependencies】里面 --save-dev是在package.json的【devDependencies】里面 依赖安装在package.json的【dependencies】的三种方式 np...
  • vue工程,新建的项目工程带依赖包vue工程,新建的项目工程带依赖包vue工程,新
  • 很多时候在安装这个vue-element-amdin的时候都会出现各种各样的报错,所以在一次成功之后就不想再折腾这个安装包了。
  • 日常删除vue的项目依赖node_modules文件夹就是 直接右键删除,缺点是依赖文件特别多,删除速度非常慢。有时候还会出现文件层次太深无法删除这种情况可以通过安装rimraf来删除,删除特别快,强烈推荐 安装(推荐...
  • vue 引入依赖的方法

    千次阅读 2021-04-21 16:05:54
    1.1 在vue的入口页面index.html中引入网络文件 例如: <script type="text/javascript" src="http://api.map.baidu.com/api?v=2.0&ak=您的密钥"></script> 1.2 在根目录下的build/webpack.base...
  • 2、vueCli3.0及以上的版本,注意不要用cnpm安装依赖包,要用npm 以上这篇解决vuecli3.0热更新失效的问题就是小编分享给大家的全部内容了,希望能给大家一个参考,也希望大家多多支持软件开发网。
  • vue框架下,依赖包升级导致项目无法正常运行。 在项目开发当中,一个项目的开发周期比较长,比如跨度是一到三年,在这么长的时间当中,vue脚手架内部的node_modules内部的依赖,必定会有一些更新,一旦项目执行npm ...

空空如也

空空如也

1 2 3 4 5 ... 20
收藏数 87,708
精华内容 35,083
关键字:

vue更新依赖包